IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network13.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
13.112.0.0- Broadcast address
13.127.255.255- First usable
13.112.0.1- Last usable
13.127.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0D700000· Integer225443840to226492415 - Reverse DNS zones
112.13.in-addr.arpa113.13.in-addr.arpa114.13.in-addr.arpa115.13.in-addr.arpa116.13.in-addr.arpa117.13.in-addr.arpa118.13.in-addr.arpa119.13.in-addr.arpa120.13.in-addr.arpa121.13.in-addr.arpa122.13.in-addr.arpa123.13.in-addr.arpa124.13.in-addr.arpa125.13.in-addr.arpa126.13.in-addr.arpa127.13.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001101.01110000.00000000.00000000 | 13.112.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 00001101.01110000.00000000.00000000 | 13.112.0.0 |
| Broadcast | 00001101.01111111.11111111.11111111 | 13.127.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
13.112.0.0/12 makes 1,024 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 13.112.0.0/22 | 13.112.0.1 to 13.112.3.254 | 13.112.3.255 | 1,022 |
| 2 | 13.112.4.0/22 | 13.112.4.1 to 13.112.7.254 | 13.112.7.255 | 1,022 |
| 3 | 13.112.8.0/22 | 13.112.8.1 to 13.112.11.254 | 13.112.11.255 | 1,022 |
| 4 | 13.112.12.0/22 | 13.112.12.1 to 13.112.15.254 | 13.112.15.255 | 1,022 |
| 5 | 13.112.16.0/22 | 13.112.16.1 to 13.112.19.254 | 13.112.19.255 | 1,022 |
| 6 | 13.112.20.0/22 | 13.112.20.1 to 13.112.23.254 | 13.112.23.255 | 1,022 |
| 7 | 13.112.24.0/22 | 13.112.24.1 to 13.112.27.254 | 13.112.27.255 | 1,022 |
| 8 | 13.112.28.0/22 | 13.112.28.1 to 13.112.31.254 | 13.112.31.255 | 1,022 |
| 9 | 13.112.32.0/22 | 13.112.32.1 to 13.112.35.254 | 13.112.35.255 | 1,022 |
| 10 | 13.112.36.0/22 | 13.112.36.1 to 13.112.39.254 | 13.112.39.255 | 1,022 |
| 11 | 13.112.40.0/22 | 13.112.40.1 to 13.112.43.254 | 13.112.43.255 | 1,022 |
| 12 | 13.112.44.0/22 | 13.112.44.1 to 13.112.47.254 | 13.112.47.255 | 1,022 |
| 13 | 13.112.48.0/22 | 13.112.48.1 to 13.112.51.254 | 13.112.51.255 | 1,022 |
| 14 | 13.112.52.0/22 | 13.112.52.1 to 13.112.55.254 | 13.112.55.255 | 1,022 |
| 15 | 13.112.56.0/22 | 13.112.56.1 to 13.112.59.254 | 13.112.59.255 | 1,022 |
| 16 | 13.112.60.0/22 | 13.112.60.1 to 13.112.63.254 | 13.112.63.255 | 1,022 |
| 17 | 13.112.64.0/22 | 13.112.64.1 to 13.112.67.254 | 13.112.67.255 | 1,022 |
| 18 | 13.112.68.0/22 | 13.112.68.1 to 13.112.71.254 | 13.112.71.255 | 1,022 |
| 19 | 13.112.72.0/22 | 13.112.72.1 to 13.112.75.254 | 13.112.75.255 | 1,022 |
| 20 | 13.112.76.0/22 | 13.112.76.1 to 13.112.79.254 | 13.112.79.255 | 1,022 |
| 21 | 13.112.80.0/22 | 13.112.80.1 to 13.112.83.254 | 13.112.83.255 | 1,022 |
| 22 | 13.112.84.0/22 | 13.112.84.1 to 13.112.87.254 | 13.112.87.255 | 1,022 |
| 23 | 13.112.88.0/22 | 13.112.88.1 to 13.112.91.254 | 13.112.91.255 | 1,022 |
| 24 | 13.112.92.0/22 | 13.112.92.1 to 13.112.95.254 | 13.112.95.255 | 1,022 |
| 25 | 13.112.96.0/22 | 13.112.96.1 to 13.112.99.254 | 13.112.99.255 | 1,022 |
| 26 | 13.112.100.0/22 | 13.112.100.1 to 13.112.103.254 | 13.112.103.255 | 1,022 |
| 27 | 13.112.104.0/22 | 13.112.104.1 to 13.112.107.254 | 13.112.107.255 | 1,022 |
| 28 | 13.112.108.0/22 | 13.112.108.1 to 13.112.111.254 | 13.112.111.255 | 1,022 |
| 29 | 13.112.112.0/22 | 13.112.112.1 to 13.112.115.254 | 13.112.115.255 | 1,022 |
| 30 | 13.112.116.0/22 | 13.112.116.1 to 13.112.119.254 | 13.112.119.255 | 1,022 |
| 31 | 13.112.120.0/22 | 13.112.120.1 to 13.112.123.254 | 13.112.123.255 | 1,022 |
| 32 | 13.112.124.0/22 | 13.112.124.1 to 13.112.127.254 | 13.112.127.255 | 1,022 |
| 33 | 13.112.128.0/22 | 13.112.128.1 to 13.112.131.254 | 13.112.131.255 | 1,022 |
| 34 | 13.112.132.0/22 | 13.112.132.1 to 13.112.135.254 | 13.112.135.255 | 1,022 |
| 35 | 13.112.136.0/22 | 13.112.136.1 to 13.112.139.254 | 13.112.139.255 | 1,022 |
| 36 | 13.112.140.0/22 | 13.112.140.1 to 13.112.143.254 | 13.112.143.255 | 1,022 |
| 37 | 13.112.144.0/22 | 13.112.144.1 to 13.112.147.254 | 13.112.147.255 | 1,022 |
| 38 | 13.112.148.0/22 | 13.112.148.1 to 13.112.151.254 | 13.112.151.255 | 1,022 |
| 39 | 13.112.152.0/22 | 13.112.152.1 to 13.112.155.254 | 13.112.155.255 | 1,022 |
| 40 | 13.112.156.0/22 | 13.112.156.1 to 13.112.159.254 | 13.112.159.255 | 1,022 |
| 41 | 13.112.160.0/22 | 13.112.160.1 to 13.112.163.254 | 13.112.163.255 | 1,022 |
| 42 | 13.112.164.0/22 | 13.112.164.1 to 13.112.167.254 | 13.112.167.255 | 1,022 |
| 43 | 13.112.168.0/22 | 13.112.168.1 to 13.112.171.254 | 13.112.171.255 | 1,022 |
| 44 | 13.112.172.0/22 | 13.112.172.1 to 13.112.175.254 | 13.112.175.255 | 1,022 |
| 45 | 13.112.176.0/22 | 13.112.176.1 to 13.112.179.254 | 13.112.179.255 | 1,022 |
| 46 | 13.112.180.0/22 | 13.112.180.1 to 13.112.183.254 | 13.112.183.255 | 1,022 |
| 47 | 13.112.184.0/22 | 13.112.184.1 to 13.112.187.254 | 13.112.187.255 | 1,022 |
| 48 | 13.112.188.0/22 | 13.112.188.1 to 13.112.191.254 | 13.112.191.255 | 1,022 |
| 49 | 13.112.192.0/22 | 13.112.192.1 to 13.112.195.254 | 13.112.195.255 | 1,022 |
| 50 | 13.112.196.0/22 | 13.112.196.1 to 13.112.199.254 | 13.112.199.255 | 1,022 |
| 51 | 13.112.200.0/22 | 13.112.200.1 to 13.112.203.254 | 13.112.203.255 | 1,022 |
| 52 | 13.112.204.0/22 | 13.112.204.1 to 13.112.207.254 | 13.112.207.255 | 1,022 |
| 53 | 13.112.208.0/22 | 13.112.208.1 to 13.112.211.254 | 13.112.211.255 | 1,022 |
| 54 | 13.112.212.0/22 | 13.112.212.1 to 13.112.215.254 | 13.112.215.255 | 1,022 |
| 55 | 13.112.216.0/22 | 13.112.216.1 to 13.112.219.254 | 13.112.219.255 | 1,022 |
| 56 | 13.112.220.0/22 | 13.112.220.1 to 13.112.223.254 | 13.112.223.255 | 1,022 |
| 57 | 13.112.224.0/22 | 13.112.224.1 to 13.112.227.254 | 13.112.227.255 | 1,022 |
| 58 | 13.112.228.0/22 | 13.112.228.1 to 13.112.231.254 | 13.112.231.255 | 1,022 |
| 59 | 13.112.232.0/22 | 13.112.232.1 to 13.112.235.254 | 13.112.235.255 | 1,022 |
| 60 | 13.112.236.0/22 | 13.112.236.1 to 13.112.239.254 | 13.112.239.255 | 1,022 |
| 61 | 13.112.240.0/22 | 13.112.240.1 to 13.112.243.254 | 13.112.243.255 | 1,022 |
| 62 | 13.112.244.0/22 | 13.112.244.1 to 13.112.247.254 | 13.112.247.255 | 1,022 |
| 63 | 13.112.248.0/22 | 13.112.248.1 to 13.112.251.254 | 13.112.251.255 | 1,022 |
| 64 | 13.112.252.0/22 | 13.112.252.1 to 13.112.255.254 | 13.112.255.255 | 1,022 |
| 65 | 13.113.0.0/22 | 13.113.0.1 to 13.113.3.254 | 13.113.3.255 | 1,022 |
| 66 | 13.113.4.0/22 | 13.113.4.1 to 13.113.7.254 | 13.113.7.255 | 1,022 |
| 67 | 13.113.8.0/22 | 13.113.8.1 to 13.113.11.254 | 13.113.11.255 | 1,022 |
| 68 | 13.113.12.0/22 | 13.113.12.1 to 13.113.15.254 | 13.113.15.255 | 1,022 |
| 69 | 13.113.16.0/22 | 13.113.16.1 to 13.113.19.254 | 13.113.19.255 | 1,022 |
| 70 | 13.113.20.0/22 | 13.113.20.1 to 13.113.23.254 | 13.113.23.255 | 1,022 |
| 71 | 13.113.24.0/22 | 13.113.24.1 to 13.113.27.254 | 13.113.27.255 | 1,022 |
| 72 | 13.113.28.0/22 | 13.113.28.1 to 13.113.31.254 | 13.113.31.255 | 1,022 |
| 73 | 13.113.32.0/22 | 13.113.32.1 to 13.113.35.254 | 13.113.35.255 | 1,022 |
| 74 | 13.113.36.0/22 | 13.113.36.1 to 13.113.39.254 | 13.113.39.255 | 1,022 |
| 75 | 13.113.40.0/22 | 13.113.40.1 to 13.113.43.254 | 13.113.43.255 | 1,022 |
| 76 | 13.113.44.0/22 | 13.113.44.1 to 13.113.47.254 | 13.113.47.255 | 1,022 |
| 77 | 13.113.48.0/22 | 13.113.48.1 to 13.113.51.254 | 13.113.51.255 | 1,022 |
| 78 | 13.113.52.0/22 | 13.113.52.1 to 13.113.55.254 | 13.113.55.255 | 1,022 |
| 79 | 13.113.56.0/22 | 13.113.56.1 to 13.113.59.254 | 13.113.59.255 | 1,022 |
| 80 | 13.113.60.0/22 | 13.113.60.1 to 13.113.63.254 | 13.113.63.255 | 1,022 |
| 81 | 13.113.64.0/22 | 13.113.64.1 to 13.113.67.254 | 13.113.67.255 | 1,022 |
| 82 | 13.113.68.0/22 | 13.113.68.1 to 13.113.71.254 | 13.113.71.255 | 1,022 |
| 83 | 13.113.72.0/22 | 13.113.72.1 to 13.113.75.254 | 13.113.75.255 | 1,022 |
| 84 | 13.113.76.0/22 | 13.113.76.1 to 13.113.79.254 | 13.113.79.255 | 1,022 |
| 85 | 13.113.80.0/22 | 13.113.80.1 to 13.113.83.254 | 13.113.83.255 | 1,022 |
| 86 | 13.113.84.0/22 | 13.113.84.1 to 13.113.87.254 | 13.113.87.255 | 1,022 |
| 87 | 13.113.88.0/22 | 13.113.88.1 to 13.113.91.254 | 13.113.91.255 | 1,022 |
| 88 | 13.113.92.0/22 | 13.113.92.1 to 13.113.95.254 | 13.113.95.255 | 1,022 |
| 89 | 13.113.96.0/22 | 13.113.96.1 to 13.113.99.254 | 13.113.99.255 | 1,022 |
| 90 | 13.113.100.0/22 | 13.113.100.1 to 13.113.103.254 | 13.113.103.255 | 1,022 |
| 91 | 13.113.104.0/22 | 13.113.104.1 to 13.113.107.254 | 13.113.107.255 | 1,022 |
| 92 | 13.113.108.0/22 | 13.113.108.1 to 13.113.111.254 | 13.113.111.255 | 1,022 |
| 93 | 13.113.112.0/22 | 13.113.112.1 to 13.113.115.254 | 13.113.115.255 | 1,022 |
| 94 | 13.113.116.0/22 | 13.113.116.1 to 13.113.119.254 | 13.113.119.255 | 1,022 |
| 95 | 13.113.120.0/22 | 13.113.120.1 to 13.113.123.254 | 13.113.123.255 | 1,022 |
| 96 | 13.113.124.0/22 | 13.113.124.1 to 13.113.127.254 | 13.113.127.255 | 1,022 |
| 97 | 13.113.128.0/22 | 13.113.128.1 to 13.113.131.254 | 13.113.131.255 | 1,022 |
| 98 | 13.113.132.0/22 | 13.113.132.1 to 13.113.135.254 | 13.113.135.255 | 1,022 |
| 99 | 13.113.136.0/22 | 13.113.136.1 to 13.113.139.254 | 13.113.139.255 | 1,022 |
| 100 | 13.113.140.0/22 | 13.113.140.1 to 13.113.143.254 | 13.113.143.255 | 1,022 |
| 101 | 13.113.144.0/22 | 13.113.144.1 to 13.113.147.254 | 13.113.147.255 | 1,022 |
| 102 | 13.113.148.0/22 | 13.113.148.1 to 13.113.151.254 | 13.113.151.255 | 1,022 |
| 103 | 13.113.152.0/22 | 13.113.152.1 to 13.113.155.254 | 13.113.155.255 | 1,022 |
| 104 | 13.113.156.0/22 | 13.113.156.1 to 13.113.159.254 | 13.113.159.255 | 1,022 |
| 105 | 13.113.160.0/22 | 13.113.160.1 to 13.113.163.254 | 13.113.163.255 | 1,022 |
| 106 | 13.113.164.0/22 | 13.113.164.1 to 13.113.167.254 | 13.113.167.255 | 1,022 |
| 107 | 13.113.168.0/22 | 13.113.168.1 to 13.113.171.254 | 13.113.171.255 | 1,022 |
| 108 | 13.113.172.0/22 | 13.113.172.1 to 13.113.175.254 | 13.113.175.255 | 1,022 |
| 109 | 13.113.176.0/22 | 13.113.176.1 to 13.113.179.254 | 13.113.179.255 | 1,022 |
| 110 | 13.113.180.0/22 | 13.113.180.1 to 13.113.183.254 | 13.113.183.255 | 1,022 |
| 111 | 13.113.184.0/22 | 13.113.184.1 to 13.113.187.254 | 13.113.187.255 | 1,022 |
| 112 | 13.113.188.0/22 | 13.113.188.1 to 13.113.191.254 | 13.113.191.255 | 1,022 |
| 113 | 13.113.192.0/22 | 13.113.192.1 to 13.113.195.254 | 13.113.195.255 | 1,022 |
| 114 | 13.113.196.0/22 | 13.113.196.1 to 13.113.199.254 | 13.113.199.255 | 1,022 |
| 115 | 13.113.200.0/22 | 13.113.200.1 to 13.113.203.254 | 13.113.203.255 | 1,022 |
| 116 | 13.113.204.0/22 | 13.113.204.1 to 13.113.207.254 | 13.113.207.255 | 1,022 |
| 117 | 13.113.208.0/22 | 13.113.208.1 to 13.113.211.254 | 13.113.211.255 | 1,022 |
| 118 | 13.113.212.0/22 | 13.113.212.1 to 13.113.215.254 | 13.113.215.255 | 1,022 |
| 119 | 13.113.216.0/22 | 13.113.216.1 to 13.113.219.254 | 13.113.219.255 | 1,022 |
| 120 | 13.113.220.0/22 | 13.113.220.1 to 13.113.223.254 | 13.113.223.255 | 1,022 |
| 121 | 13.113.224.0/22 | 13.113.224.1 to 13.113.227.254 | 13.113.227.255 | 1,022 |
| 122 | 13.113.228.0/22 | 13.113.228.1 to 13.113.231.254 | 13.113.231.255 | 1,022 |
| 123 | 13.113.232.0/22 | 13.113.232.1 to 13.113.235.254 | 13.113.235.255 | 1,022 |
| 124 | 13.113.236.0/22 | 13.113.236.1 to 13.113.239.254 | 13.113.239.255 | 1,022 |
| 125 | 13.113.240.0/22 | 13.113.240.1 to 13.113.243.254 | 13.113.243.255 | 1,022 |
| 126 | 13.113.244.0/22 | 13.113.244.1 to 13.113.247.254 | 13.113.247.255 | 1,022 |
| 127 | 13.113.248.0/22 | 13.113.248.1 to 13.113.251.254 | 13.113.251.255 | 1,022 |
| 128 | 13.113.252.0/22 | 13.113.252.1 to 13.113.255.254 | 13.113.255.255 | 1,022 |
| 129 | 13.114.0.0/22 | 13.114.0.1 to 13.114.3.254 | 13.114.3.255 | 1,022 |
| 130 | 13.114.4.0/22 | 13.114.4.1 to 13.114.7.254 | 13.114.7.255 | 1,022 |
| 131 | 13.114.8.0/22 | 13.114.8.1 to 13.114.11.254 | 13.114.11.255 | 1,022 |
| 132 | 13.114.12.0/22 | 13.114.12.1 to 13.114.15.254 | 13.114.15.255 | 1,022 |
| 133 | 13.114.16.0/22 | 13.114.16.1 to 13.114.19.254 | 13.114.19.255 | 1,022 |
| 134 | 13.114.20.0/22 | 13.114.20.1 to 13.114.23.254 | 13.114.23.255 | 1,022 |
| 135 | 13.114.24.0/22 | 13.114.24.1 to 13.114.27.254 | 13.114.27.255 | 1,022 |
| 136 | 13.114.28.0/22 | 13.114.28.1 to 13.114.31.254 | 13.114.31.255 | 1,022 |
| 137 | 13.114.32.0/22 | 13.114.32.1 to 13.114.35.254 | 13.114.35.255 | 1,022 |
| 138 | 13.114.36.0/22 | 13.114.36.1 to 13.114.39.254 | 13.114.39.255 | 1,022 |
| 139 | 13.114.40.0/22 | 13.114.40.1 to 13.114.43.254 | 13.114.43.255 | 1,022 |
| 140 | 13.114.44.0/22 | 13.114.44.1 to 13.114.47.254 | 13.114.47.255 | 1,022 |
| 141 | 13.114.48.0/22 | 13.114.48.1 to 13.114.51.254 | 13.114.51.255 | 1,022 |
| 142 | 13.114.52.0/22 | 13.114.52.1 to 13.114.55.254 | 13.114.55.255 | 1,022 |
| 143 | 13.114.56.0/22 | 13.114.56.1 to 13.114.59.254 | 13.114.59.255 | 1,022 |
| 144 | 13.114.60.0/22 | 13.114.60.1 to 13.114.63.254 | 13.114.63.255 | 1,022 |
| 145 | 13.114.64.0/22 | 13.114.64.1 to 13.114.67.254 | 13.114.67.255 | 1,022 |
| 146 | 13.114.68.0/22 | 13.114.68.1 to 13.114.71.254 | 13.114.71.255 | 1,022 |
| 147 | 13.114.72.0/22 | 13.114.72.1 to 13.114.75.254 | 13.114.75.255 | 1,022 |
| 148 | 13.114.76.0/22 | 13.114.76.1 to 13.114.79.254 | 13.114.79.255 | 1,022 |
| 149 | 13.114.80.0/22 | 13.114.80.1 to 13.114.83.254 | 13.114.83.255 | 1,022 |
| 150 | 13.114.84.0/22 | 13.114.84.1 to 13.114.87.254 | 13.114.87.255 | 1,022 |
| 151 | 13.114.88.0/22 | 13.114.88.1 to 13.114.91.254 | 13.114.91.255 | 1,022 |
| 152 | 13.114.92.0/22 | 13.114.92.1 to 13.114.95.254 | 13.114.95.255 | 1,022 |
| 153 | 13.114.96.0/22 | 13.114.96.1 to 13.114.99.254 | 13.114.99.255 | 1,022 |
| 154 | 13.114.100.0/22 | 13.114.100.1 to 13.114.103.254 | 13.114.103.255 | 1,022 |
| 155 | 13.114.104.0/22 | 13.114.104.1 to 13.114.107.254 | 13.114.107.255 | 1,022 |
| 156 | 13.114.108.0/22 | 13.114.108.1 to 13.114.111.254 | 13.114.111.255 | 1,022 |
| 157 | 13.114.112.0/22 | 13.114.112.1 to 13.114.115.254 | 13.114.115.255 | 1,022 |
| 158 | 13.114.116.0/22 | 13.114.116.1 to 13.114.119.254 | 13.114.119.255 | 1,022 |
| 159 | 13.114.120.0/22 | 13.114.120.1 to 13.114.123.254 | 13.114.123.255 | 1,022 |
| 160 | 13.114.124.0/22 | 13.114.124.1 to 13.114.127.254 | 13.114.127.255 | 1,022 |
| 161 | 13.114.128.0/22 | 13.114.128.1 to 13.114.131.254 | 13.114.131.255 | 1,022 |
| 162 | 13.114.132.0/22 | 13.114.132.1 to 13.114.135.254 | 13.114.135.255 | 1,022 |
| 163 | 13.114.136.0/22 | 13.114.136.1 to 13.114.139.254 | 13.114.139.255 | 1,022 |
| 164 | 13.114.140.0/22 | 13.114.140.1 to 13.114.143.254 | 13.114.143.255 | 1,022 |
| 165 | 13.114.144.0/22 | 13.114.144.1 to 13.114.147.254 | 13.114.147.255 | 1,022 |
| 166 | 13.114.148.0/22 | 13.114.148.1 to 13.114.151.254 | 13.114.151.255 | 1,022 |
| 167 | 13.114.152.0/22 | 13.114.152.1 to 13.114.155.254 | 13.114.155.255 | 1,022 |
| 168 | 13.114.156.0/22 | 13.114.156.1 to 13.114.159.254 | 13.114.159.255 | 1,022 |
| 169 | 13.114.160.0/22 | 13.114.160.1 to 13.114.163.254 | 13.114.163.255 | 1,022 |
| 170 | 13.114.164.0/22 | 13.114.164.1 to 13.114.167.254 | 13.114.167.255 | 1,022 |
| 171 | 13.114.168.0/22 | 13.114.168.1 to 13.114.171.254 | 13.114.171.255 | 1,022 |
| 172 | 13.114.172.0/22 | 13.114.172.1 to 13.114.175.254 | 13.114.175.255 | 1,022 |
| 173 | 13.114.176.0/22 | 13.114.176.1 to 13.114.179.254 | 13.114.179.255 | 1,022 |
| 174 | 13.114.180.0/22 | 13.114.180.1 to 13.114.183.254 | 13.114.183.255 | 1,022 |
| 175 | 13.114.184.0/22 | 13.114.184.1 to 13.114.187.254 | 13.114.187.255 | 1,022 |
| 176 | 13.114.188.0/22 | 13.114.188.1 to 13.114.191.254 | 13.114.191.255 | 1,022 |
| 177 | 13.114.192.0/22 | 13.114.192.1 to 13.114.195.254 | 13.114.195.255 | 1,022 |
| 178 | 13.114.196.0/22 | 13.114.196.1 to 13.114.199.254 | 13.114.199.255 | 1,022 |
| 179 | 13.114.200.0/22 | 13.114.200.1 to 13.114.203.254 | 13.114.203.255 | 1,022 |
| 180 | 13.114.204.0/22 | 13.114.204.1 to 13.114.207.254 | 13.114.207.255 | 1,022 |
| 181 | 13.114.208.0/22 | 13.114.208.1 to 13.114.211.254 | 13.114.211.255 | 1,022 |
| 182 | 13.114.212.0/22 | 13.114.212.1 to 13.114.215.254 | 13.114.215.255 | 1,022 |
| 183 | 13.114.216.0/22 | 13.114.216.1 to 13.114.219.254 | 13.114.219.255 | 1,022 |
| 184 | 13.114.220.0/22 | 13.114.220.1 to 13.114.223.254 | 13.114.223.255 | 1,022 |
| 185 | 13.114.224.0/22 | 13.114.224.1 to 13.114.227.254 | 13.114.227.255 | 1,022 |
| 186 | 13.114.228.0/22 | 13.114.228.1 to 13.114.231.254 | 13.114.231.255 | 1,022 |
| 187 | 13.114.232.0/22 | 13.114.232.1 to 13.114.235.254 | 13.114.235.255 | 1,022 |
| 188 | 13.114.236.0/22 | 13.114.236.1 to 13.114.239.254 | 13.114.239.255 | 1,022 |
| 189 | 13.114.240.0/22 | 13.114.240.1 to 13.114.243.254 | 13.114.243.255 | 1,022 |
| 190 | 13.114.244.0/22 | 13.114.244.1 to 13.114.247.254 | 13.114.247.255 | 1,022 |
| 191 | 13.114.248.0/22 | 13.114.248.1 to 13.114.251.254 | 13.114.251.255 | 1,022 |
| 192 | 13.114.252.0/22 | 13.114.252.1 to 13.114.255.254 | 13.114.255.255 | 1,022 |
| 193 | 13.115.0.0/22 | 13.115.0.1 to 13.115.3.254 | 13.115.3.255 | 1,022 |
| 194 | 13.115.4.0/22 | 13.115.4.1 to 13.115.7.254 | 13.115.7.255 | 1,022 |
| 195 | 13.115.8.0/22 | 13.115.8.1 to 13.115.11.254 | 13.115.11.255 | 1,022 |
| 196 | 13.115.12.0/22 | 13.115.12.1 to 13.115.15.254 | 13.115.15.255 | 1,022 |
| 197 | 13.115.16.0/22 | 13.115.16.1 to 13.115.19.254 | 13.115.19.255 | 1,022 |
| 198 | 13.115.20.0/22 | 13.115.20.1 to 13.115.23.254 | 13.115.23.255 | 1,022 |
| 199 | 13.115.24.0/22 | 13.115.24.1 to 13.115.27.254 | 13.115.27.255 | 1,022 |
| 200 | 13.115.28.0/22 | 13.115.28.1 to 13.115.31.254 | 13.115.31.255 | 1,022 |
| 201 | 13.115.32.0/22 | 13.115.32.1 to 13.115.35.254 | 13.115.35.255 | 1,022 |
| 202 | 13.115.36.0/22 | 13.115.36.1 to 13.115.39.254 | 13.115.39.255 | 1,022 |
| 203 | 13.115.40.0/22 | 13.115.40.1 to 13.115.43.254 | 13.115.43.255 | 1,022 |
| 204 | 13.115.44.0/22 | 13.115.44.1 to 13.115.47.254 | 13.115.47.255 | 1,022 |
| 205 | 13.115.48.0/22 | 13.115.48.1 to 13.115.51.254 | 13.115.51.255 | 1,022 |
| 206 | 13.115.52.0/22 | 13.115.52.1 to 13.115.55.254 | 13.115.55.255 | 1,022 |
| 207 | 13.115.56.0/22 | 13.115.56.1 to 13.115.59.254 | 13.115.59.255 | 1,022 |
| 208 | 13.115.60.0/22 | 13.115.60.1 to 13.115.63.254 | 13.115.63.255 | 1,022 |
| 209 | 13.115.64.0/22 | 13.115.64.1 to 13.115.67.254 | 13.115.67.255 | 1,022 |
| 210 | 13.115.68.0/22 | 13.115.68.1 to 13.115.71.254 | 13.115.71.255 | 1,022 |
| 211 | 13.115.72.0/22 | 13.115.72.1 to 13.115.75.254 | 13.115.75.255 | 1,022 |
| 212 | 13.115.76.0/22 | 13.115.76.1 to 13.115.79.254 | 13.115.79.255 | 1,022 |
| 213 | 13.115.80.0/22 | 13.115.80.1 to 13.115.83.254 | 13.115.83.255 | 1,022 |
| 214 | 13.115.84.0/22 | 13.115.84.1 to 13.115.87.254 | 13.115.87.255 | 1,022 |
| 215 | 13.115.88.0/22 | 13.115.88.1 to 13.115.91.254 | 13.115.91.255 | 1,022 |
| 216 | 13.115.92.0/22 | 13.115.92.1 to 13.115.95.254 | 13.115.95.255 | 1,022 |
| 217 | 13.115.96.0/22 | 13.115.96.1 to 13.115.99.254 | 13.115.99.255 | 1,022 |
| 218 | 13.115.100.0/22 | 13.115.100.1 to 13.115.103.254 | 13.115.103.255 | 1,022 |
| 219 | 13.115.104.0/22 | 13.115.104.1 to 13.115.107.254 | 13.115.107.255 | 1,022 |
| 220 | 13.115.108.0/22 | 13.115.108.1 to 13.115.111.254 | 13.115.111.255 | 1,022 |
| 221 | 13.115.112.0/22 | 13.115.112.1 to 13.115.115.254 | 13.115.115.255 | 1,022 |
| 222 | 13.115.116.0/22 | 13.115.116.1 to 13.115.119.254 | 13.115.119.255 | 1,022 |
| 223 | 13.115.120.0/22 | 13.115.120.1 to 13.115.123.254 | 13.115.123.255 | 1,022 |
| 224 | 13.115.124.0/22 | 13.115.124.1 to 13.115.127.254 | 13.115.127.255 | 1,022 |
| 225 | 13.115.128.0/22 | 13.115.128.1 to 13.115.131.254 | 13.115.131.255 | 1,022 |
| 226 | 13.115.132.0/22 | 13.115.132.1 to 13.115.135.254 | 13.115.135.255 | 1,022 |
| 227 | 13.115.136.0/22 | 13.115.136.1 to 13.115.139.254 | 13.115.139.255 | 1,022 |
| 228 | 13.115.140.0/22 | 13.115.140.1 to 13.115.143.254 | 13.115.143.255 | 1,022 |
| 229 | 13.115.144.0/22 | 13.115.144.1 to 13.115.147.254 | 13.115.147.255 | 1,022 |
| 230 | 13.115.148.0/22 | 13.115.148.1 to 13.115.151.254 | 13.115.151.255 | 1,022 |
| 231 | 13.115.152.0/22 | 13.115.152.1 to 13.115.155.254 | 13.115.155.255 | 1,022 |
| 232 | 13.115.156.0/22 | 13.115.156.1 to 13.115.159.254 | 13.115.159.255 | 1,022 |
| 233 | 13.115.160.0/22 | 13.115.160.1 to 13.115.163.254 | 13.115.163.255 | 1,022 |
| 234 | 13.115.164.0/22 | 13.115.164.1 to 13.115.167.254 | 13.115.167.255 | 1,022 |
| 235 | 13.115.168.0/22 | 13.115.168.1 to 13.115.171.254 | 13.115.171.255 | 1,022 |
| 236 | 13.115.172.0/22 | 13.115.172.1 to 13.115.175.254 | 13.115.175.255 | 1,022 |
| 237 | 13.115.176.0/22 | 13.115.176.1 to 13.115.179.254 | 13.115.179.255 | 1,022 |
| 238 | 13.115.180.0/22 | 13.115.180.1 to 13.115.183.254 | 13.115.183.255 | 1,022 |
| 239 | 13.115.184.0/22 | 13.115.184.1 to 13.115.187.254 | 13.115.187.255 | 1,022 |
| 240 | 13.115.188.0/22 | 13.115.188.1 to 13.115.191.254 | 13.115.191.255 | 1,022 |
| 241 | 13.115.192.0/22 | 13.115.192.1 to 13.115.195.254 | 13.115.195.255 | 1,022 |
| 242 | 13.115.196.0/22 | 13.115.196.1 to 13.115.199.254 | 13.115.199.255 | 1,022 |
| 243 | 13.115.200.0/22 | 13.115.200.1 to 13.115.203.254 | 13.115.203.255 | 1,022 |
| 244 | 13.115.204.0/22 | 13.115.204.1 to 13.115.207.254 | 13.115.207.255 | 1,022 |
| 245 | 13.115.208.0/22 | 13.115.208.1 to 13.115.211.254 | 13.115.211.255 | 1,022 |
| 246 | 13.115.212.0/22 | 13.115.212.1 to 13.115.215.254 | 13.115.215.255 | 1,022 |
| 247 | 13.115.216.0/22 | 13.115.216.1 to 13.115.219.254 | 13.115.219.255 | 1,022 |
| 248 | 13.115.220.0/22 | 13.115.220.1 to 13.115.223.254 | 13.115.223.255 | 1,022 |
| 249 | 13.115.224.0/22 | 13.115.224.1 to 13.115.227.254 | 13.115.227.255 | 1,022 |
| 250 | 13.115.228.0/22 | 13.115.228.1 to 13.115.231.254 | 13.115.231.255 | 1,022 |
| 251 | 13.115.232.0/22 | 13.115.232.1 to 13.115.235.254 | 13.115.235.255 | 1,022 |
| 252 | 13.115.236.0/22 | 13.115.236.1 to 13.115.239.254 | 13.115.239.255 | 1,022 |
| 253 | 13.115.240.0/22 | 13.115.240.1 to 13.115.243.254 | 13.115.243.255 | 1,022 |
| 254 | 13.115.244.0/22 | 13.115.244.1 to 13.115.247.254 | 13.115.247.255 | 1,022 |
| 255 | 13.115.248.0/22 | 13.115.248.1 to 13.115.251.254 | 13.115.251.255 | 1,022 |
| 256 | 13.115.252.0/22 | 13.115.252.1 to 13.115.255.254 | 13.115.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |